# $Revision: 1.37 $, $Date: 2004/03/31 23:04:01 $
Summary:	MagicPoint is a X11 Presentation Application
Summary(pl):	MagicPoint - program do grafiki prezentacyjnej pod X11
Name:		magicpoint
Version:	1.10a
Release:	3
License:	GPL
Group:		X11/Applications/Graphics
Source0:	ftp://ftp.mew.org/pub/mgp/%{name}-%{version}.tar.gz
# Source0-md5:	7a5d91b2b3bdabea704ee3cb6505d772
Patch0:		%{name}-freetype.patch
Patch1:		%{name}-ac.patch
URL:		http://www.mew.org/mgp/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
# blegh, freetype2 is used for Xft2, but obsolete freetype1 is used to access TTFs :/
BuildRequires:	freetype1-devel
BuildRequires:	freetype-devel >= 2.1.0
BuildRequires:	imlib-devel
BuildRequires:	libmng-devel
BuildRequires:	libpng-devel
BuildRequires:	libungif-devel
BuildRequires:	pkgconfig
BuildRequires:	xft-devel
Requires:	libjpeg-progs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	mgp

%description
MagicPoint is an X11 based presentation tool. It is designed to make
simple presentations easy while to make complicated presentations
possible. Its presentation file (whose suffix is typically .mgp) is
just text so that you can create presentation files quickly with your
favorite editor (e.g. VI).

%description -l pl
MagicPoint jest narzdziem do robienia grafiki prezentacyjnej pod X11.
Zosta on zrobiony do tworzenia prostych prezentacji. Pliki z opisem
prezentacji (z rozszerzeniem .mgp) s plikami tekstowymi, wic sam
prezentacj mona szybko przygotowa z uyciem ulubionego edytora.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .orig

%build
cp -f %{_datadir}/automake/config.* .
%{__aclocal}
%{__autoconf}
%configure \
	mgp_cv_path_uuencode="/usr/bin/uuencode" \
	mgp_cv_path_uudecode="/usr/bin/uudecode" \
	--enable-gif \
	--enable-imlib

xmkmf -a
%{__make} \
	LIBDIR=%{_datadir} \
	CC="%{__cc}" \
	CDEBUGFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install install.man \
	DESTDIR=$RPM_BUILD_ROOT \
	BINDIR=%{_bindir} \
	LIBDIR=%{_datadir} \
	MANDIR=%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README SYNTAX USAGE FAQ RELNOTES sample/*.{mgp,jpg,eps}
%attr(755,root,root) %{_bindir}/*
%{_datadir}/mgp
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: magicpoint.spec,v $
Revision 1.37  2004/03/31 23:04:01  qboosh
- added freetype,ac patches, fixed dirs, updated BRs

Revision 1.36  2003/07/15 10:34:38  emes
- added Source-md5

Revision 1.35  2003/07/15 10:32:52  emes
- up to 1.10a
- added Req for libjpeg-progs

Revision 1.34  2003/05/28 12:59:39  malekith
- massive attack: source-md5

Revision 1.33  2003/05/25 05:50:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.32  2003/01/18 22:53:34  juandon
- removed two lines with define

Revision 1.31  2002/10/09 13:14:39  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.30  2002/07/28 15:51:00  kloczek
- removed gzipping %doc from %install.

Revision 1.29  2002/07/28 15:00:52  kloczek
- release 3: use new %doc.

Revision 1.28  2002/05/21 23:14:06  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.27  2002/04/16 16:52:19  mmazur
- back to freetype1
- turned on using freetype (it was off) so STBR

Revision 1.26  2002/04/13 21:25:34  mmazur
- due to error in configure script the --enable-freetype switch disabled
freetype :)
- killed the switch and did a patch for the new freetype1
- rel 2; STBR

Revision 1.25  2002/03/23 14:34:43  kloczek
- updated to 1.09a,
- regenerate ac files,
- use CC="%%{__cc}" during compile.

Revision 1.24  2002/02/22 23:29:14  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/01/18 02:13:47  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.22  2001/11/27 23:30:50  filon
- fixed and modified broken docs
- release 5

Revision 1.21  2001/10/01 17:21:50  blues
- release 4
- ac2.5 ready

Revision 1.20  2001/04/30 16:05:21  kloczek
- added using %%{rpmcflags} macro.

Revision 1.19  2001/03/19 21:39:36  kloczek
- release 3,
- added missing freetype1-devel to BuildRequires list and rebuild again this
  library version.

Revision 1.18  2001/01/25 20:03:24  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.17  2000/12/23 00:48:45  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.16  2000/11/06 09:14:14  kloczek
- release 2: use new rpm automation.

Revision 1.15  2000/06/09 07:23:25  kloczek
- added using %%{__make} macro.

Revision 1.14  2000/04/01 11:14:53  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.13  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.12  2000/03/21 12:01:09  kloczek
- updated to 1.07a.

Revision 1.11  1999/11/09 02:03:22  kloczek
- updated to 1.06a,
- added using %%configure macro in %build.

Revision 1.10  1999/11/08 19:46:46  kura
[1.04a-4]
- fixed Group
- added Group(pl)
- added using RPM macros

Revision 1.9  1999/07/12 23:06:07  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat Dec 19 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.04a-3]
- added gzipping man pages,
- added misiing %attr ofrm man pages,
- fixed pl translation (thanks for Micha Kuratczyk).
